Commit 15f4b581 authored by John Johnson's avatar John Johnson

dev-lua/luaposix: build fix

Until now, the ebuilds for dev-lua/luaposix only provided the docs.
This has been resolved now by calling the `build-aux/luke` script,
and copying the shared libs over to the appropriate path.
parent f4302ac2
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2019 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
......@@ -16,3 +16,18 @@ RDEPEND="dev-lang/lua:*"
DEPEND="${RDEPEND}"
S="${WORKDIR}"/${PN}-release-v${PV}
src_compile() {
lua build-aux/luke || die
}
src_install() {
LUA_VERSION=$(readlink -e "${EROOT}"/usr/bin/lua | sed -ne 's:.*/usr/bin/lua\([\d.-]*\):\1:p')
LUA_LIBDIR="/usr/lib/lua/$LUA_VERSION"
insinto "$LUA_LIBDIR"
insopts -m755
doins -r "${S}/linux/posix"
default
}
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment